安装HttpRunner时候出现各种错误的最有效解决办法

一、刚刚接触到了HttpRunner感觉很强大,但再安装的时候出现了很多错误

1、我用的pip install httprunner命令就出现下图中错误

ERROR: Cannot uninstall 'PyYAML'. It is a distutils installed project and thus we cannot accurately

2、网上有很多方法说是忽略这个后面的包,但是尝试以后还是不行。

二、解决办法,直接删除这个对应的所有包

在这里插入图片描述
我这个是正常的,原来是有4个PyYAML的文件,而且都是老版本,直接删除就行了。

三、查看是否安装好

1、真正的坑是在这里,明明解决了安装好了,但是用命令却报错
在这里插入图片描述
2、找了好久才发现,这是 HttpRunner V2.x 中文使用文档的命令,新版本是3.0.1.2已经变了。

httprunner -V
在这里插入图片描述

总结:
在安装新版本以后,尽量使用官方文档的命令进行查看。
https://pypi.org/project/httprunner/

©️2020 CSDN 皮肤主题: 大白 设计师: CSDN官方博客 返回首页
实付0元
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值